This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 182678 - Review Request: libopts
Review Request: libopts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-02-23 17:49 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-19 07:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed spec changes (3.21 KB, patch)
2006-02-24 04:24 EST, Ralf Corsepius
no flags Details | Diff

  None (edit)
Description Paul F. Johnson 2006-02-23 17:49:56 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/libopts.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/libopts-27.1-1.src.rpm
Description: 

libopts is part of the autogen project builder required as part of anjuta 2
Comment 1 Ralf Corsepius 2006-02-24 04:01:17 EST
NEEDSWORK:

This spec is rather immature and needs quite some work - For the moment, I
presume you are new to rpm packaging ;)

For the moment, let me only mention a few major issues:

1. Replace the mkdir/install stuff with
make DESTDIR=${RPM_BUILD_ROOT} install

2. Use %{_infodir} instead of %{_datadir}/info in %files

3. Missing %{_includedir}/autoopts in %files

4. Split the package into *-devel and nondevel.

5. Package ships infos but no calls to install-info

6. Wrong license ...
[libopts is LGPL or BSD
cf. 
http://autogen.sourceforge.net/doc/autogen_185.html#SEC185

... and many further details ... 

I'll try to provide a patch addressing the most severe issues ...

Comment 2 Ralf Corsepius 2006-02-24 04:24:00 EST
Created attachment 125166 [details]
Proposed spec changes
Comment 3 Paul F. Johnson 2006-02-24 05:02:43 EST
Not that new to packaging - just somewhat tired when I did the spec file!

I originally had the make DESTDIR=${RPM_BUILD_ROOT} install in the spec file,
but the compilation continually failed. I swapped it over and all was well. This
could be down to my buildsys at home (x86_64 box).

Does %{_infodir} automagically point to /usr/share/info? I've not come across
that one and it will affect the autogen package which should be ready tonight
(it also has the same make DESTDIR problem as libopts :-( )

Thanks for the patch - I'll review and apply it tonight.
Comment 4 Ralf Corsepius 2006-02-24 06:03:14 EST
(In reply to comment #3)
> Not that new to packaging - just somewhat tired when I did the spec file!
:)

> I originally had the make DESTDIR=${RPM_BUILD_ROOT} install in the spec file,
> but the compilation continually failed. I swapped it over and all was well. This
> could be down to my buildsys at home (x86_64 box).
Pretty unlikely. This package is automake based and applies a pretty clean and
modern build infrastructure.
 
> Does %{_infodir} automagically point to /usr/share/info?
Yes. It's analogous to %{_mandir} and implicitly being used inside of %configure.


Comment 5 Ralf Corsepius 2006-03-01 10:05:04 EST
Ping?
Comment 6 Ralf Corsepius 2006-03-08 23:56:20 EST
(In reply to comment #3)
> Thanks for the patch - I'll review and apply it tonight.
Paul, have you lost interest in this package?

Shouldn't you be responding by Monday morning, I'll presume so and will close
this review request as WONTFIX.
Comment 7 Paul F. Johnson 2006-03-09 03:03:16 EST
Sorry - I edit an internationally read programmers magazine which is currently
taking quite a chunk of my time (it does around this time every other month). I
will get onto it hopefully today.
Comment 8 Paul F. Johnson 2006-03-09 05:11:13 EST
Spec Name or Url: http://www.smmp.salford.ac.uk/packages/libopts.spec
SRPM Name or Url: http://www.smmp.salford.ac.uk/packages/libopts-27.1-2.src.rpm

Changelog

Changes made to spec file as proposed
Comment 9 Paul F. Johnson 2006-03-18 18:09:17 EST
Ping!
Comment 10 Ralf Corsepius 2006-03-18 23:56:06 EST
* Package still doesn't build in mock:
...
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/share/info/dir
...

I recommend to add
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
to the end of %install

* A typo
 %description devel
-Development files for lipopts
+Development files for libopts

Provided you apply these two changes, I am approving this package.

APPROVED
Comment 11 Ralf Corsepius 2006-03-20 03:15:40 EST
Paul,

please add this package and yourself to owners.list

Also, why did you close it "CLOSED RAWHIDE"? Unless a package is shipped through
upstread RH (rawhide), which rarely applies to FE packages, I'd rather prefer to
see FE packages closed NEXTREASE.
Comment 12 Paul F. Johnson 2006-03-20 04:37:02 EST
Unless something has gone hideously wrong, it should already be in the
owners.list file. I'll need to check when I get to my machine at my desk.

As for CLOSED RAWHIDE and NEXTRELEASE, I guess it's because as these are only
currently packaged for fc6, then RAWHIDE is more appropriate - NEXTRELEASE
always made me think it was for the current version. Not a biggy, I'll use
NEXTRELEASE in future.
Comment 13 Ralf Corsepius 2006-03-20 06:26:43 EST

(In reply to comment #12)
> Unless something has gone hideously wrong, it should already be in the
> owners.list file. I'll need to check when I get to my machine at my desk.
It's not yet in owners.list:

# cvs up
cvs update: Updating .
# grep libopt owners.list
[Nothing]

> As for CLOSED RAWHIDE and NEXTRELEASE, I guess it's because as these are only
> currently packaged for fc6, then RAWHIDE is more appropriate - NEXTRELEASE
> always made me think it was for the current version. Not a biggy, I'll use
> NEXTRELEASE in future.

See http://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Under Contributor ... you will find:
...
 9. Once the package is built, close the bugzilla review ticket as NEXTRELEASE.
...
Comment 14 Ralf Corsepius 2006-03-25 01:30:13 EST
Paul, 

Will you add this package to owners.list?

Shouldn't you do so by Monday 2006-03-27 00:00 GMT I will withdraw my approval
to this package and request removing this package.
Comment 15 Paul F. Johnson 2006-03-25 06:18:18 EST
Done. 
Comment 16 Kevin Fenzi 2006-12-05 22:47:28 EST
Paul: I still don't see the package in owners.list... did you forget to check it
back in? 

Please re-add it... 


Note You need to log in before you can comment on or make changes to this bug.